<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (13) on Tue May 19 01:49:06 EEST 2020 -->
<title>Uses of Class business_layer.MenuItem</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="use: package: business_layer, class: MenuItem">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-use">
<script type="text/javascript">var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../MenuItem.html" title="class in business_layer">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Uses of Class business_layer.MenuItem" class="title">Uses of Class<br>business_layer.MenuItem</h1>
</div>
<div class="classUseContainer">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../MenuItem.html" title="class in business_layer">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#business_layer">business_layer</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="classUses">
<ul class="blockList">
<li class="blockList">
<section class="detail"><a id="business_layer">
<!--   -->
</a>
<h2>Uses of <a href="../MenuItem.html" title="class in business_layer">MenuItem</a> in <a href="../package-summary.html">business_layer</a></h2>
<div class="useSummary">
<table>
<caption><span>Subclasses of <a href="../MenuItem.html" title="class in business_layer">MenuItem</a> in <a href="../package-summary.html">business_layer</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../BaseProduct.html" title="class in business_layer">BaseProduct</a></span></code></th>
<td class="colLast">
<div class="block">– extinde clasa MenuItem, contine un constructor si suprascrie metoda toString();</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../CompositeProduct.html" title="class in business_layer">CompositeProduct</a></span></code></th>
<td class="colLast">
<div class="block">- extinde clasa MenuItem.; aceasta contine in plus ca variabila instanta un obiect de tipul ArrayList<MenuItem> pentru stocarea produselor din care este alcatuit produsul compus (am folosit aici design pattern-ul Composite); pe langa constructor, clasa contine un getter si un setter pentru lista de produse si suprascrie metoda computePrice() din superclasa si, de asemenea, mai contine si metoda toString();</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">business_layer</a> that return types with arguments of type <a href="../MenuItem.html" title="class in business_layer">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Map&lt;<a href="../Order.html" title="class in business_layer">Order</a>,&#8203;java.util.List&lt;<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#getOrders()">getOrders</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CompositeProduct.</span><code><span class="memberNameLink"><a href="../CompositeProduct.html#getProduct()">getProduct</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">business_layer</a> with parameters of type <a href="../MenuItem.html" title="class in business_layer">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">IRestaurantProcessing.</span><code><span class="memberNameLink"><a href="../IRestaurantProcessing.html#addNewMenuItem(business_layer.MenuItem)">addNewMenuItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#addNewMenuItem(business_layer.MenuItem)">addNewMenuItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Method parameters in <a href="../package-summary.html">business_layer</a> with type arguments of type <a href="../MenuItem.html" title="class in business_layer">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">IRestaurantProcessing.</span><code><span class="memberNameLink"><a href="../IRestaurantProcessing.html#createNewOrder(int,java.util.Date,int,java.util.List)">createNewOrder</a></span>&#8203;(int&nbsp;orderID,
java.util.Date&nbsp;date,
int&nbsp;table,
java.util.List&lt;<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&nbsp;items)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#createNewOrder(int,java.util.Date,int,java.util.List)">createNewOrder</a></span>&#8203;(int&nbsp;orderID,
java.util.Date&nbsp;date,
int&nbsp;table,
java.util.List&lt;<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&nbsp;items)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CompositeProduct.</span><code><span class="memberNameLink"><a href="../CompositeProduct.html#setProduct(java.util.List)">setProduct</a></span>&#8203;(java.util.List&lt;<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&nbsp;compositeProduct)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Constructor parameters in <a href="../package-summary.html">business_layer</a> with type arguments of type <a href="../MenuItem.html" title="class in business_layer">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Restaurant.html#%3Cinit%3E(java.util.Map,java.util.List)">Restaurant</a></span>&#8203;(java.util.Map&lt;<a href="../Order.html" title="class in business_layer">Order</a>,&#8203;java.util.List&lt;<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&gt;&nbsp;orders,
java.util.List&lt;<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&nbsp;menu)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../Restaurant.html#%3Cinit%3E(java.util.Map,java.util.List)">Restaurant</a></span>&#8203;(java.util.Map&lt;<a href="../Order.html" title="class in business_layer">Order</a>,&#8203;java.util.List&lt;<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&gt;&nbsp;orders,
java.util.List&lt;<a href="../MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&nbsp;menu)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../MenuItem.html" title="class in business_layer">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
